## mumps 4.8.4.dfsg

=== Makefile ===
#
#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
#
topdir = .
libdir = $(topdir)/lib

default:	dexamples

.PHONY: default alllib all s d c z \
	sexamples dexamples cexamples zexamples \
	mumps_lib requiredobj libseqneeded clean

alllib:		s d c z
all:		sexamples dexamples cexamples zexamples

s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib
c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib


# Is Makefile.inc available ?
Makefile.inc:
	@echo "######################################################################"
	@echo "# BEFORE COMPILING MUMPS, YOU SHOULD HAVE AN APPROPRIATE FILE"
	@echo "# Makefile.inc AVALAIBLE. PLEASE LOOK IN THE DIRECTORY ./Make.inc FOR"
	@echo "# EXAMPLES OF Makefile.inc FILES, AT Make.inc/Makefile.inc.generic"
	@echo "# IN CASE YOU NEED TO BUILD A NEW ONE AND READ THE MAIN README FILE"
	@echo "######################################################################"
	@exit 1

include Makefile.inc

mumps_lib: requiredobj
	(cd src ; $(MAKE) $(ARITH))

sexamples:	s
	(cd examples ; $(MAKE) s)

dexamples:	d
	(cd examples ; $(MAKE) d)

cexamples:	c
	(cd examples ; $(MAKE) c)

zexamples:	z
	(cd examples ; $(MAKE) z)


requiredobj: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT).a

# dummy MPI library (sequential version)

libseqneeded:
	(cd libseq; $(MAKE))

# Build the libpord.a library and copy it into $(topdir)/lib
$(libdir)/libpord$(PLAT).a:
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" ARFUNCT= RANLIB="$(RANLIB)"; \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord.a $@; \
	fi;

clean:
	(cd src; $(MAKE) clean)
	(cd examples; $(MAKE) clean)
	(cd $(libdir); $(RM) *$(PLAT).a)
	(cd libseq; $(MAKE) clean)
	if [ $(LPORDDIR) != "" ] ; then \
	  cd $(LPORDDIR); $(MAKE) realclean; \
        fi;

=== examples/Makefile ===
#
#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z clean
.SECONDEXPANSION:

all:	s d c z

s:	ssimpletest
d:	dsimpletest c_example
c:	csimpletest
z:	zsimpletest


include $(topdir)/Makefile.inc

LIBMUMPS_COMMON = $(libdir)/libmumps_common$(PLAT).a


LIBSMUMPS = $(libdir)/libsmumps$(PLAT).a $(LIBMUMPS_COMMON)

ssimpletest:  $(LIBSMUMPS) $$@.o 
	$(FL) -o $@ $(OPTL) ssimpletest.o $(LIBSMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)


LIBDMUMPS = $(libdir)/libdmumps$(PLAT).a $(LIBMUMPS_COMMON)

dsimpletest: $(LIBDMUMPS) $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o $(LIBDMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)


LIBCMUMPS = $(libdir)/libcmumps$(PLAT).a $(LIBMUMPS_COMMON)

csimpletest: $(LIBCMUMPS) $$@.o 
	$(FL) -o $@ $(OPTL) csimpletest.o $(LIBCMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)


LIBZMUMPS = $(libdir)/libzmumps$(PLAT).a $(LIBMUMPS_COMMON)

zsimpletest: $(LIBZMUMPS) $$@.o 
	$(FL) -o $@ $(OPTL) zsimpletest.o $(LIBZMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)


c_example:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)


.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INC) -I. -I$(topdir)/include -c $*.F
.c.o:
	$(CC) $(OPTC) $(INC) -I. -I$(topdir)/include -c $*.c


$(libdir)/libsmumps$(PLAT).a:
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libdmumps$(PLAT).a:
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libcmumps$(PLAT).a:
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libzmumps$(PLAT).a:
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(LIBMUMPS_COMMON):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

clean:
	$(RM) *.o [sdcz]simpletest c_example

=== libseq/Makefile ===
#
#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
#
all: libmpiseq

.PHONY: all libmpiseq clean

include ../Makefile.inc

libmpiseq: libmpiseq$(PLAT).a

libmpiseq$(PLAT).a: mpi.o mpic.o elapse.o
	$(AR) $@ mpi.o mpic.o elapse.o
	$(RANLIB) $@
.f.o:
	$(FC) $(OPTF) -c $*.f
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -c $*.c

clean:
	$(RM) *.o *.a

=== src/Makefile ===
#
#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
#
topdir = ..
libdir = $(topdir)/lib

default:	d

.PHONY: default s d c z mumps_lib clean

s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib
c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib

include $(topdir)/Makefile.inc

mumps_lib:    $(libdir)/libmumps_common$(PLAT).a \
              $(libdir)/lib$(ARITH)mumps$(PLAT).a

OBJS_COMMON = \
        mumps_part9.o\
        mumps_common.o\
        mumps_ooc_common.o\
        mumps_orderings.o\
        mumps_io.o\
        mumps_io_basic.o\
        mumps_io_thread.o\
        mumps_io_err.o\
        mumps_static_mapping.o

OBJS = 	$(ARITH)mumps_part1.o\
        $(ARITH)mumps_part2.o\
        $(ARITH)mumps_part3.o\
        $(ARITH)mumps_part4.o\
        $(ARITH)mumps_part5.o\
        $(ARITH)mumps_part6.o\
        $(ARITH)mumps_part7.o\
        $(ARITH)mumps_part8.o\
        $(ARITH)mumps_comm_buffer.o\
        $(ARITH)mumps_load.o\
        $(ARITH)mumps_c.o\
        $(ARITH)mumps_ooc_buffer.o\
        $(ARITH)mumps_ooc.o\
        $(ARITH)mumps_struc_def.o


$(libdir)/libmumps_common$(PLAT).a:	$(OBJS_COMMON)
	$(AR) $@ $?
	$(RANLIB) $@

$(libdir)/lib$(ARITH)mumps$(PLAT).a:    $(OBJS)
	$(AR) $@ $?
	$(RANLIB) $@

$(ARITH)mumps_load.o:		$(ARITH)mumps_comm_buffer.o \
				$(ARITH)mumps_struc_def.o

$(ARITH)mumps_ooc.o: 		$(ARITH)mumps_struc_def.o \
				$(ARITH)mumps_ooc_buffer.o \
				mumps_ooc_common.o

$(ARITH)mumps_ooc_buffer.o: 	mumps_ooc_common.o


$(ARITH)mumps_part1.o \
$(ARITH)mumps_part2.o \
$(ARITH)mumps_part3.o \
$(ARITH)mumps_part4.o \
$(ARITH)mumps_part5.o \
$(ARITH)mumps_part6.o \
$(ARITH)mumps_part7.o \
$(ARITH)mumps_part8.o:	$(ARITH)mumps_comm_buffer.o \
			$(ARITH)mumps_load.o \
			$(ARITH)mumps_ooc.o

$(ARITH)mumps_part5.o:	mumps_static_mapping.o


.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INC) $(ORDERINGSF) -I. -I../include -c $*.F
.c.o:
	$(CC) $(OPTC) $(INC) -I../include $(CDEFS) $(IORDERINGS) $(ORDERINGSC) -c $*.c

$(ARITH)mumps_c.o:	mumps_c.c
	$(CC) $(OPTC) $(INC) $(CDEFS) -DMUMPS_ARITH=MUMPS_ARITH_$(ARITH) \
	      $(IORDERINGS) $(ORDERINGSC) -I../include -c $? -o $@


clean:
	$(RM) *.o *.mod

## mumps 4.9.2.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 topdir = .
 libdir = $(topdir)/lib

=== MATLAB/Makefile ===
include make.inc

INCMUMPS = -I$(MUMPS_DIR)/include 
LIBMUMPS = -L$(MUMPS_DIR)/lib -l$(ARITH)mumps -lmumps_common

INC = $(INCMUMPS) $(IORDERINGS) $(INCSEQ)
LIB = $(LIBMUMPS) $(LORDERINGS) $(LIBSEQ) $(LIBBLAS) $(LIBFORT)

all:	d z

d:
	$(MAKE) ARITH=d dmumpsmex.mexglx
z:
	$(MAKE) ARITH=z zmumpsmex.mexglx

$(ARITH)mumpsmex.mexglx: mumpsmex.c
	$(MEX) $(OPTC) mumpsmex.c -output $@ -DMUMPS_ARITH=MUMPS_ARITH_$(ARITH) $(INC) $(LIB)

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 topdir = ..
 libdir = $(topdir)/lib
@@ -25,29 +25,29 @@
 LIBSMUMPS = $(libdir)/libsmumps$(PLAT).a $(LIBMUMPS_COMMON)
 
 ssimpletest:  $(LIBSMUMPS) $$@.o 
-	$(FL) -o $@ $(OPTL) ssimpletest.o $(LIBSMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)
+	$(FL) -o $@ $(OPTL) ssimpletest.o $(LIBSMUMPS)  $(LORDERINGS) $(LIB) $(LIBBLAS) $(LIBOTHERS)
 
 
 LIBDMUMPS = $(libdir)/libdmumps$(PLAT).a $(LIBMUMPS_COMMON)
 
 dsimpletest: $(LIBDMUMPS) $$@.o 
-	$(FL) -o $@ $(OPTL) dsimpletest.o $(LIBDMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)
+	$(FL) -o $@ $(OPTL) dsimpletest.o $(LIBDMUMPS)  $(LORDERINGS) $(LIB) $(LIBBLAS) $(LIBOTHERS)
 
 
 LIBCMUMPS = $(libdir)/libcmumps$(PLAT).a $(LIBMUMPS_COMMON)
 
 csimpletest: $(LIBCMUMPS) $$@.o 
-	$(FL) -o $@ $(OPTL) csimpletest.o $(LIBCMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)
+	$(FL) -o $@ $(OPTL) csimpletest.o $(LIBCMUMPS)  $(LORDERINGS) $(LIB) $(LIBBLAS) $(LIBOTHERS)
 
 
 LIBZMUMPS = $(libdir)/libzmumps$(PLAT).a $(LIBMUMPS_COMMON)
 
 zsimpletest: $(LIBZMUMPS) $$@.o 
-	$(FL) -o $@ $(OPTL) zsimpletest.o $(LIBZMUMPS)  $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)
+	$(FL) -o $@ $(OPTL) zsimpletest.o $(LIBZMUMPS)  $(LORDERINGS) $(LIB) $(LIBBLAS) $(LIBOTHERS)
 
 
 c_example:	$(LIBDMUMPS) $$@.o
-	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LIB) $(LIBBLAS) $(LIBOTHERS) $(LORDERINGS)
+	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIB) $(LIBBLAS) $(LIBOTHERS)
 
 
 .SUFFIXES: .c .F .o

=== libseq/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 all: libmpiseq

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 topdir = ..
 libdir = $(topdir)/lib
@@ -27,11 +27,13 @@
         mumps_common.o\
         mumps_ooc_common.o\
         mumps_orderings.o\
+        mumps_size.o\
         mumps_io.o\
         mumps_io_basic.o\
         mumps_io_thread.o\
         mumps_io_err.o\
-        mumps_static_mapping.o
+        mumps_static_mapping.o \
+	tools_common_mod.o
 
 OBJS = 	$(ARITH)mumps_part1.o\
         $(ARITH)mumps_part2.o\
@@ -79,17 +81,19 @@
 			$(ARITH)mumps_ooc.o
 
 $(ARITH)mumps_part5.o:	mumps_static_mapping.o
+$(ARITH)mumps_part5.o:	$(ARITH)mumps_part2.o
 
+$(ARITH)mumps_part2.o : tools_common_mod.o
 
 .SUFFIXES: .c .F .o
 .F.o:
-	$(FC) $(OPTF) $(INC) $(ORDERINGSF) -I. -I../include -c $*.F
+	$(FC) $(OPTF) $(INC) $(IORDERINGSF) $(ORDERINGSF) -I. -I../include -c $*.F
 .c.o:
-	$(CC) $(OPTC) $(INC) -I../include $(CDEFS) $(IORDERINGS) $(ORDERINGSC) -c $*.c
+	$(CC) $(OPTC) $(INC) -I../include $(CDEFS) $(IORDERINGSC) $(ORDERINGSC) -c $*.c
 
 $(ARITH)mumps_c.o:	mumps_c.c
 	$(CC) $(OPTC) $(INC) $(CDEFS) -DMUMPS_ARITH=MUMPS_ARITH_$(ARITH) \
-	      $(IORDERINGS) $(ORDERINGSC) -I../include -c $? -o $@
+	      $(IORDERINGSC) $(ORDERINGSC) -I../include -c $? -o $@
 
 
 clean:

=== PORD/lib/Makefile ===

# To compile directly, uncomment the line below.
# include ../Make.in
#
# Otherwise, adequate variables for CC, CFLAGS, AR and
# RANLIB must be passed to make.
#

INCLUDES = -I../include

COPTIONS = $(INCLUDES) $(CFLAGS) $(OPTFLAGS)

OBJS = graph.o gbipart.o gbisect.o ddcreate.o ddbisect.o nestdiss.o \
       multisector.o gelim.o bucket.o tree.o \
       symbfac.o interface.o sort.o minpriority.o 

# Note: numfac.c read.c mapping.c triangular.c matrix.c kernel.c
# were not direcly used by MUMPS and have been removed from the
# original SPACE package.

.c.o:
	$(CC) $(COPTIONS) -c $*.c

libpord.a:	$(OBJS)
	$(AR) $(ARFUNCT) $@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f *.o

realclean:
	rm -f *.o libpord.a

=== debian/changelog ===
mumps (4.9.2.dfsg-7build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:21:38 +0000

mumps (4.9.2.dfsg-7) unstable; urgency=low

  * Build-Conflict with ATLAS packages (closes: #620291).
  * Added VCS to control file.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 31 Mar 2011 17:37:23 -0400

mumps (4.9.2.dfsg-6) unstable; urgency=low

  * Changed to a better MUMPS_MPI variable setting.
  * Added MPI and Scotch libraries to link with binutils-gold (closes: #604950).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 28 Nov 2010 13:07:54 -0500

mumps (4.9.2.dfsg-5) unstable; urgency=low

  * Moved libmumps-seq-dev headers to their own directory (closes: #585960).
  * Added patch target and unpatch command to clean target.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 21 Nov 2010 21:42:26 -0500

mumps (4.9.2.dfsg-4) unstable; urgency=low

  * Added liblapack-dev to Build-Depends and changed "-lblas-3gf -llapackgf-3"
    to "-lblas -llapack" in debian/Makefile*.inc (closes: #577003)
  * Changed from patch-based approach to library renaming to using $(PLAT), so
    libmpiseq is not shared between seq and scotch versions (closes: #577046)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 11 Apr 2010 22:25:49 -0400

mumps (4.9.2.dfsg-3) unstable; urgency=low

  [ Christophe Trophime ]
  * Add scotch support (closes: #576291)
  * Add ptscotch support 
  * Add -llapackgf-3 to LIBLAS

  [ Adam C. Powell, IV ]
  * Versioned dependency on libptscotch-dev to make sure to get headers
  * Changed to source format 3.0 (quilt) and removed *patch rules targets
  * Clarified short descriptions of packages (closes: #576264)
  * Bumped Standards-Version

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 04 Apr 2010 23:54:36 -0400

mumps (4.9.2.dfsg-2) unstable; urgency=low

  * Fixed bad parentheses in rules ifeq lam/mpich lines (closes: #535276).
  * Added mpich2 build mechanism.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 04 Jan 2010 13:22:40 -0500

mumps (4.9.2.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #554159).
  * Changed -lblas to -lblas-3gf in Makefile.*.inc (closes: #557699).
  * Linking tests to shared instead of static libs (closes: #555759).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 17:56:51 -0500

mumps (4.8.4.dfsg-3) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Build against dummy MPI sequential library in addition to building
    against the standard MPI implementations (OpenMPI and LAM MPI).
    + Introduce new package: libmumps-seq-4.8.4
    + Introduce new package: libmumps-seq-dev
  * Add README.source noting that quilt is used to manage patches

  [ Adam C. Powell, IV ]
  * Changed -lmpi_f77 to a variable depending on MPI implementation
    (closes: #544752).
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 01 Nov 2009 23:56:58 -0500

mumps (4.8.4.dfsg-2) unstable; urgency=low

  * Removed backslash in Build-Depends list (closes: #536917).
  * Updated debhelper Build-Depends version.
  * Updated Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 20 Jul 2009 09:13:11 -0400

mumps (4.8.4.dfsg-1) unstable; urgency=low

  * First package (closes: #491024).
  * Removed doc directory because there's no source for the user's guide.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 29 May 2009 12:49:55 -0400

=== debian/control ===
Source: mumps
Section: devel
Priority: extra
Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), quilt, gfortran, libscalapack-mpi-dev,
 libblacs-mpi-dev, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 libscotch-dev, libptscotch-dev (>= 5.1.7.dfsg-4), mpi-default-dev
Build-Conflicts: libatlas3gf-base, libatlas-base-dev
Vcs-Git: git://git.debian.org/git/debian-science/packages/mumps.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mumps.git
Homepage: http://mumps.enseeiht.fr/

Package: libmumps-dev
Architecture: any
Section: libdevel
Depends: libmumps-4.9.2 (= ${binary:Version}), libscalapack-mpi-dev,
 mpi-default-dev, ${misc:Depends}
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Depends: libmumps-seq-4.9.2 (= ${binary:Version}), libmumps-dev, ${misc:Depends}
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-4.9.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mpi-default-bin
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-4.9.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-4.9.2 package.

Package: libmumps-scotch-4.9.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this, 
 then you almost certainly want the libmumps-4.9.2 package.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Depends: libmumps-scotch-4.9.2 (= ${binary:Version}), libmumps-dev, ${misc:Depends}
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this, 
 then you almost certainly want the libmumps-4.9.2 package.

Package: libmumps-ptscotch-4.9.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Depends: libmumps-ptscotch-4.9.2 (= ${binary:Version}), libmumps-dev, ${misc:Depends}
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: mumps-test
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mpi-default-bin
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

=== debian/rules ===
#!/usr/bin/make -f

MUMPS_MPI=$(shell dpkg -s mpi-default-dev | grep Depends | sed "s/Depends: lib//" | sed "s/Depends: //" | sed "s/-dev//" | sed "s/lam4/lam/")
ifeq ($(MUMPS_MPI),openmpi)
MUMPS_LIBF77=-L/usr/lib/openmpi/lib -lmpi_f77 -lmpi
else
ifeq ($(MUMPS_MPI),lam)
MUMPS_LIBF77=-L/usr/lib/lam/lib -llamf77mpi
else
ifeq ($(MUMPS_MPI),mpich)
MUMPS_LIBF77=-L/usr/lib/mpich/lib -lfmpich -lmpich
else
ifeq ($(MUMPS_MPI),mpich2)
MUMPS_LIBF77=-lfmpich -lmpich
endif
endif
endif
endif

clean:
	dh_testdir
	dh_clean
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) clean
	rm -rf Makefile.inc libmumps_seq libmumps_scotch libmumps_ptscotch
	rm -f patch build*
	find . -name \*.so| xargs -r rm
	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a && rm -rf .pc; \
	fi

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi
	touch $@

build-arch: patch
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(MUMPS_MPI) MUMPS_LIBF77="$(MUMPS_LIBF77)" \
	  PLAT="_ptscotch" all
	cp -a lib libmumps_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(MUMPS_MPI) MUMPS_LIBF77="-lmpiseq_scotch" \
	  PLAT="_scotch" all
	cp -a lib libmumps_scotch
	cp -af libseq/lib* libmumps_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(MUMPS_MPI) MUMPS_LIBF77="-lmpiseq_seq" \
	  PLAT="_seq" all
	cp -a lib libmumps_seq
	cp -af libseq/lib* libmumps_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(MUMPS_MPI) MUMPS_LIBF77="$(MUMPS_LIBF77)" all
	touch $@

build: build-arch #build-indep
	touch $@

binary-indep:
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdirs -i
#	dh_install -i
#	dh_installdocs -i
#	dh_installchangelogs -i
#	dh_compress -i
#	dh_fixperms -i
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i

binary-arch:
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_install -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_makeshlibs -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## mumps 4.10.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
+#  This file is part of MUMPS 4.10.0, built on Tue May 10 12:56:32 UTC 2011
 #
 topdir = .
 libdir = $(topdir)/lib
@@ -51,7 +51,7 @@
 	(cd examples ; $(MAKE) z)
 
 
-requiredobj: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT).a
+requiredobj: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT)$(LIBEXT)
 
 # dummy MPI library (sequential version)
 
@@ -59,19 +59,19 @@
 	(cd libseq; $(MAKE))
 
 # Build the libpord.a library and copy it into $(topdir)/lib
-$(libdir)/libpord$(PLAT).a:
+$(libdir)/libpord$(PLAT)$(LIBEXT):
 	if [ "$(LPORDDIR)" != "" ] ; then \
 	  cd $(LPORDDIR); \
-	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" ARFUNCT= RANLIB="$(RANLIB)"; \
+	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC=$(OUTC) LIBEXT=$(LIBEXT); \
 	fi;
 	if [ "$(LPORDDIR)" != "" ] ; then \
-	  cp $(LPORDDIR)/libpord.a $@; \
+	  cp $(LPORDDIR)/libpord$(LIBEXT) $@; \
 	fi;
 
 clean:
 	(cd src; $(MAKE) clean)
 	(cd examples; $(MAKE) clean)
-	(cd $(libdir); $(RM) *$(PLAT).a)
+	(cd $(libdir); $(RM) *$(PLAT)$(LIBEXT))
 	(cd libseq; $(MAKE) clean)
 	if [ $(LPORDDIR) != "" ] ; then \
 	  cd $(LPORDDIR); $(MAKE) realclean; \

=== examples/Makefile ===
#
#  This file is part of MUMPS 4.10.0, built on Tue May 10 12:56:32 UTC 2011
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z clean
.SECONDEXPANSION:

all:	s d c z

s:	ssimpletest
d:	dsimpletest c_example
c:	csimpletest
z:	zsimpletest


include $(topdir)/Makefile.inc

LIBMUMPS_COMMON = $(libdir)/libmumps_common$(PLAT)$(LIBEXT)


LIBSMUMPS = $(libdir)/libsmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

ssimpletest:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBDMUMPS = $(libdir)/libdmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

dsimpletest: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBCMUMPS = $(libdir)/libcmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

csimpletest: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBZMUMPS = $(libdir)/libzmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

zsimpletest: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


c_example:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INCS) -I. -I$(topdir)/include -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(INCS) -I. -I$(topdir)/include -c $*.c $(OUTC)$*.o


$(libdir)/libsmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libdmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libcmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(libdir)/libzmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

$(LIBMUMPS_COMMON):
	@echo 'Error: you should build the library' $@ 'first'
	exit -1

clean:
	$(RM) *.o [sdcz]simpletest c_example

=== PORD/lib/Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 # original SPACE package.
 
 .c.o:
-	$(CC) $(COPTIONS) -c $*.c
+	$(CC) $(COPTIONS) -c $*.c $(OUTC)$*.o
 
-libpord.a:	$(OBJS)
-	$(AR) $(ARFUNCT) $@ $(OBJS)
+libpord$(LIBEXT):$(OBJS)
+	$(AR)$@ $(OBJS)
 	$(RANLIB) $@
 
 clean:

=== debian/changelog ===
mumps (4.10.0.dfsg-4) unstable; urgency=medium

  * Team upload.
  * Stop calling directly quilt, drop build-dep.
  * Run wrap-and-sort.
  * Fix FTBFS with openmpi 1.10.  Closes: #813791
  * Remove debian/README.source as now useless.
  * Bump debhelper compat level to 9 and use the dh sequencer.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Canonicalize Vcs-* fields, use https.
  * Use copyright-format 1.0 as finalized.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 18:44:41 +0000

mumps (4.10.0.dfsg-3) unstable; urgency=low

  * Added quilt to Build-Depends, seems to be necessary after all.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 30 Dec 2011 13:18:36 -0500

mumps (4.10.0.dfsg-2) unstable; urgency=low

  * Using debhelper quilt commands in clean and build-arch (closes: #653032).
  * Removed unnecessary quilt Build-Dependency.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 23 Dec 2011 10:32:40 -0500

mumps (4.10.0.dfsg-1) unstable; urgency=low

  * New upstream (closes: #652909).
  * Rebuild with new mpi-defaults (closes: #652314).
  * Forward-ported patches, removed now-obsolete tests-shlibs.patch, and added
    a new patch to link examples to MPI libs properly.
  * Forward-ported debian/Makefile.*.inc files.
  * Re-engineered dependencies around specific needs of each library rather
    than the over-arching $(LIB) library set.
  * Removed LAPACK dependencies, -scotch and -seq packages' ScaLAPACK and MPI
    dependencies.
  * Removed patch debian/rules target, added (empty) build-indep target, and
    completed clean target.
  * Bumped Standards-Version.
  * Changed to debian-science-maintainers maintenance with me as uploader.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 22 Dec 2011 09:56:46 -0500

=== debian/control ===
Source: mumps
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell,
 IV" <hazelsct@debian.org>,
Build-Depends:
 debhelper (>= 9),
 gfortran,
 libblacs-mpi-dev,
 libblas-dev | libblas-3gf.so,
 libptscotch-dev (>= 5.1.7.dfsg-4),
 libscalapack-mpi-dev,
 libscotch-dev,
 mpi-default-dev,
 pkg-config,
Build-Conflicts:
 libatlas-base-dev,
 libatlas3gf-base,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mumps.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mumps.git
Homepage: http://mumps.enseeiht.fr/

Package: libmumps-dev
Architecture: any
Section: libdevel
Depends:
 libmumps-4.10.0 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Depends:
 libmumps-dev,
 libmumps-seq-4.10.0 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-4.10.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-4.10.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-4.10.0 package.

Package: libmumps-scotch-4.10.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-4.10.0 package.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Depends:
 libmumps-dev,
 libmumps-scotch-4.10.0 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-4.10.0 package.

Package: libmumps-ptscotch-4.10.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Depends:
 libmumps-dev,
 libmumps-ptscotch-4.10.0 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: mumps-test
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/mpi-default-dev/debian_defaults

%:
	dh $@ --parallel

override_dh_auto_clean:
	cp -f debian/Makefile.seq.inc Makefile.inc
	dh_auto_clean
	rm -rf Makefile.inc libmumps_seq libmumps_scotch libmumps_ptscotch

override_dh_auto_build-arch:
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_ptscotch" all
	cp -a lib libmumps_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_scotch" all
	cp -a lib libmumps_scotch
	cp -af libseq/lib* libmumps_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_seq" all
	cp -a lib libmumps_seq
	cp -af libseq/lib* libmumps_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) all
